GELF_FSIZE(3) | Library Functions Manual | GELF_FSIZE(3)

# NAME

`gelf_fsize`, `elf32_fsize`, `elf64_fsize` —
return the size of a file type

# LIBRARY

ELF Access Library (libelf, -lelf)

# SYNOPSIS

`#include <libelf.h>`

size_t
`elf32_fsize`(Elf_Type type, size_t count, unsigned int version);

size_t
`elf64_fsize`(Elf_Type type, size_t count, unsigned int version);

`#include <gelf.h>`

size_t
`gelf_fsize`(Elf *elf, Elf_Type type, size_t count, unsigned int version);

# DESCRIPTION

These functions return the size in bytes of the file representation of count numbers of objects of ELF type type. For ELF types that are of variable length, these functions return a size of one byte.

Functions `elf32_fsize`() and `elf64_fsize`() return sizes for files of class `ELFCLASS32` and `ELFCLASS64` respectively. Function `gelf_fsize`() returns the size for the class of ELF descriptor elf.

# RETURN VALUES

These functions return a non-zero value in case of success, or zero in case of an error.

# ERRORS

These functions may fail with:

[`ELF_E_ARGUMENT`]
  Argument elf was NULL in a call to `gelf_fsize`().
[`ELF_E_ARGUMENT`]
  ELF descriptor elf had an unknown ELF class.
[`ELF_E_ARGUMENT`]
  Argument type contained an illegal value.
[`ELF_E_UNIMPL`]
  Support for ELF type type has not been implemented.
[`ELF_E_VERSION`]
  Argument version is not a supported version.

# SEE ALSO

elf(3), gelf(3)

February 5, 2008 | NetBSD 9.2